summaryrefslogtreecommitdiffstats
path: root/games/bygfoot
diff options
context:
space:
mode:
author Jakob Nylin <jakob.nylin@gmail.com>2010-05-12 23:29:11 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:29:11 +0200
commit25ed4cfa3ab3366bab46a2d575d80d04a85ca4d0 (patch)
treefc44aff90487771f816efd3ac1cf66be0645691e /games/bygfoot
parent2620e2f04c0bf85b369ff2da88e48669d7dfd15b (diff)
downloadslackbuilds-25ed4cfa3ab3366bab46a2d575d80d04a85ca4d0.tar.gz
slackbuilds-25ed4cfa3ab3366bab46a2d575d80d04a85ca4d0.tar.xz
games/bygfoot: Added to 12.2 repository
Diffstat (limited to 'games/bygfoot')
-rw-r--r--games/bygfoot/README15
-rw-r--r--games/bygfoot/bygfoot.SlackBuild64
-rw-r--r--games/bygfoot/bygfoot.desktop8
-rw-r--r--games/bygfoot/bygfoot.info8
-rw-r--r--games/bygfoot/doinst.sh4
-rw-r--r--games/bygfoot/slack-desc19
6 files changed, 118 insertions, 0 deletions
diff --git a/games/bygfoot/README b/games/bygfoot/README
new file mode 100644
index 0000000000..345476a892
--- /dev/null
+++ b/games/bygfoot/README
@@ -0,0 +1,15 @@
+Bygfoot (A football management game)
+
+This is the stable version of the football (a.k.a. soccer) management game
+Bygfoot. The original concept by Gyözö Both and has been improved wit
+h suggestions by players from all over the world.
+
+Bygfoot allows you to manage a team by training the players, buying and
+selling them, contracting loans, maintaining the stadium, etc. You can be
+promoted or relegated, even become a champion if you're a skillful manager.
+The game is deliberately kept simple (though not easy): you only have to
+keep one eye at your players and another at your stadium.
+
+You can customise Bygfoot by writing your own country definition files or
+by creating your own team definition files. See the Definitions forum for
+help and hints.
diff --git a/games/bygfoot/bygfoot.SlackBuild b/games/bygfoot/bygfoot.SlackBuild
new file mode 100644
index 0000000000..de65a143c1
--- /dev/null
+++ b/games/bygfoot/bygfoot.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+# Slackware build script for Bygfoot
+# Written by Jakob Nylin jakob.nylin@gmail.com
+
+PRGNAM=bygfoot
+VERSION=${VERSION:-2.2.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=$VERSION-source
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $TMP/$PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$SRCNAM.tar.bz2
+cd $PRGNAM-$SRCNAM
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL README ReleaseNotes TODO UPDATE \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+# Add the icon and a desktop file
+mkdir -p $PKG/usr/share/{pixmaps,applications}
+cat support_files/pixmaps/bygfoot_icon.png > $PKG/usr/share/pixmaps/bygfoot.png
+cat $CWD/bygfoot.desktop > $PKG/usr/share/applications/bygfoot.desktop
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/bygfoot/bygfoot.desktop b/games/bygfoot/bygfoot.desktop
new file mode 100644
index 0000000000..e0135fbccc
--- /dev/null
+++ b/games/bygfoot/bygfoot.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=Bygfoot
+GenericName=A football management game
+GenericName[sv]=Ett fotbollsmanager-spel
+Exec=bygfoot
+Icon=bygfoot
+Type=Application
+Categories=Application;Game;StrategyGame
diff --git a/games/bygfoot/bygfoot.info b/games/bygfoot/bygfoot.info
new file mode 100644
index 0000000000..eec3d3b0df
--- /dev/null
+++ b/games/bygfoot/bygfoot.info
@@ -0,0 +1,8 @@
+PRGNAM="bygfoot"
+VERSION="2.2.1"
+HOMEPAGE="http://bygfoot.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/bygfoot/bygfoot-2.2.1-source.tar.bz2"
+MD5SUM="cd6479d6517fc26badae4085039e279c"
+MAINTAINER="Jakob Nylin"
+EMAIL="jakob.nylin@gmail.com"
+APPROVED="rworkman"
diff --git a/games/bygfoot/doinst.sh b/games/bygfoot/doinst.sh
new file mode 100644
index 0000000000..e3f9a2c71e
--- /dev/null
+++ b/games/bygfoot/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database usr/share/applications &> /dev/null
+fi
+
diff --git a/games/bygfoot/slack-desc b/games/bygfoot/slack-desc
new file mode 100644
index 0000000000..65c0a63e0d
--- /dev/null
+++ b/games/bygfoot/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+bygfoot: bygfoot (A Football Managment Game)
+bygfoot:
+bygfoot: Bygfoot is a small and simple graphical football (a.k.a. soccer)
+bygfoot: manager game featuring many international leagues and cups. You
+bygfoot: manage a team from one such league: you form the team, buy and
+bygfoot: sell players, get promoted or relegated, and of course try to be
+bygfoot: successful.
+bygfoot:
+bygfoot: Home: http://bygfoot.sourceforge.net/
+bygfoot:
+bygfoot: